%global pom_version 1.0.0
%global mvn_settings -s mirror-settings.xml

%global orig_name wnodes_cloud

%define tomcat_name tomcat5

%if 0%{?el6}
%define tomcat_name tomcat6
%endif

Name: 		wnodes_cloud
Version:	1.0.0

Release: 	7%{?dist}
Summary: 	WNoDeS cloud service

Group: 		Applications/Internet
License: 	ASL 2.0
URL: 		http://web.infn.it/wnodes/index.php/wnodes

%define         tomcat_dir	/usr/share/%{tomcat_name}


Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  maven
BuildRequires:  java-devel

Requires:       java
Requires:       canl-java
Requires:	canl-java-tomcat
Requires:	%{tomcat_name}
Requires:	edg-mkgridmap

%define		setup_script	%{name}.sh
%define		war_name	ROOT.war

%description
The WNoDeS cloud service allows to create cloud resources (VM) on demand.

%prep
%setup -q -n %{name}

%build
mvn %{?mvn_settings} -U -Dmaven.test.skip=true -B clean package

%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{_localstatedir}/log/wnodes/cloud
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
 
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/wnodes/cloud
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d

cp target/*.war $RPM_BUILD_ROOT/%{_javadir}/%{name}
cp $RPM_BUILD_DIR/%{name}/*.properties $RPM_BUILD_ROOT/%{_sysconfdir}/wnodes/cloud
cp $RPM_BUILD_DIR/%{name}/%{setup_script} $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d 
cp $RPM_BUILD_DIR/%{name}/doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/*
%{_sysconfdir}/*
%{_localstatedir}/*
%{_docdir}/%{name}-%{version}/*

%defattr(-,tomcat,tomcat,-)
%{_localstatedir}/log/wnodes

%post
%if %{tomcat_name} == tomcat5
ln -s %{_javadir}/canl.jar %{tomcat_dir}/common/lib/canl.jar
ln -s %{_javadir}/commons-io.jar %{tomcat_dir}/common/lib/commons-io.jar 
ln -s %{_javadir}/log4j.jar %{tomcat_dir}/common/lib/log4j.jar
cp -a %{tomcat_dir}/server/lib/bcprov*.jar %{tomcat_dir}/common/lib/
%endif

ln -s %{_javadir}/%{name}/%{war_name} %{tomcat_dir}/webapps/%{war_name}


%postun
rm -rf %{_javadir}/%{name}
rm -rf %{_docdir}/%{name}-%{version}
rm -rf %{_sysconfdir}/wnodes
rm -f %{_sysconfdir}/profile.d/%{setup_script}

%if %{tomcat_name} == tomcat5
rm -f %{tomcat_dir}/common/lib/canl.jar
rm -f %{tomcat_dir}/common/lib/commons-io.jar
rm -f %{tomcat_dir}/common/lib/log4j.jar
rm -f %{tomcat_dir}/common/lib/bcprov*jar
%endif

rm -f %{tomcat_dir}/webapps/%{war_name}

%changelog
* Sun Feb 03 2013 Daniele Andreotti <daniele.andreotti at cnaf.infn.it> - 1.0.0-7
- Fixed authorization procedure for allocating virtual machines.
* Sat Feb 02 2013 Daniele Andreotti <daniele.andreotti at cnaf.infn.it> - 1.0.0-6
- Fixed user proxy support.
* Tue Jan 29 2013 Daniele Andreotti <daniele.andreotti at cnaf.infn.it> - 1.0.0-5
- Fixed changelog history.
* Thu Jan 24 2013 Daniele Andreotti <daniele.andreotti at cnaf.infn.it> - 1.0.0-4
- Adopted OCCI standard location paths.
* Fri Jan 18 2013 Daniele Andreotti <daniele.andreotti at cnaf.infn.it> - 1.0.0-3
- New version based on CAnL.
* Wed Jan 16 2013 Daniele Andreotti <daniele.andreotti at cnaf.infn.it> - 1.0.0-2
- Removed gridmap-file generation.
